
using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.BS
{
    /// <summary>
    /// 制定任务 设置部门 对应检查范围 的安全检查
    /// </summary>
    [Description("制定任务部门触发范围")]
    public class T_BS_PLAN_SET_DEP_OBJECT : MesEntityBase
    {
        /// <summary>
        /// 制定任务
        /// </summary>
        [Description("制定任务")]
        [DataFieldForeignKey("Nav_PlanSet", "Nav_ListSetDepObject")]
        public Guid? PLANSET_ID { get; set; }

        /// <summary>
        /// 导航：制定任务
        /// </summary>
        [Description("导航：制定任务")]
        public virtual T_BS_PLAN_SET Nav_PlanSet { get; set; }

        /// <summary>
        /// 检查范围
        /// </summary>
        [Description("检查范围")]
        [FormFieldTable]
        [FormFieldEdit]
        public BSMineTypeEnum CHECKOBJECT { get; set; }

        /// <summary>
        /// 责任部门（未包含下属组织 如果需要再做）
        /// </summary>
        [Description("责任部门")]
        [DataFieldForeignKey("Nav_Department")]
        public Guid? DEPARTMENT_ID { get; set; }

        /// <summary>
        /// 责任部门（未包含下属组织 如果需要再做）
        /// </summary>
        [Description("责任部门")]
        public virtual T_FM_DEPARTMENT Nav_Department { get; set; }
    }
}